Archer T9E seems like not compatible with newest version of Windows 10

Archer T9E seems like not compatible with newest version of Windows 10
Archer T9E seems like not compatible with newest version of Windows 10
2018-03-19 12:51:26
Model :

Hardware Version :

Firmware Version :

ISP :

I bought this PCI Adapter in November 2016. And since Windows 10 already have newest updated version (Version 1709), I try to update my windows 10 system to the newest version. However, after the updated, the PCI adapter seems cannot start properly. Tried with the driver that released on 2017-08-31 (Link: https://www.tp-link.com/us/download/Archer-T9E.html#Driver), but it didn't resolved the issue.

Therefore I need to roll back my windows 10 version to the old version to make PCI adapter working again.

Does anyone have the same issue with me?
0
0
#1
Options
5 Replies
Re:Archer T9E seems like not compatible with newest version of Windows 10
2018-03-19 21:08:00
0
0
#2
Options
Re:Archer T9E seems like not compatible with newest version of Windows 10
2018-03-19 21:26:56
Thank you for the response. Let me try tonight when I back to home
0
0
#3
Options
Re:Archer T9E seems like not compatible with newest version of Windows 10
2018-03-20 22:37:54
It works. Thank you
0
0
#4
Options
Re:Archer T9E seems like not compatible with newest version of Windows 10
2018-03-22 13:36:57
good, the solution works for me as well, thanks!
0
0
#5
Options
Re:Archer T9E seems like not compatible with newest version of Windows 10
2018-03-31 03:27:51
Thank you all.
0
0
#6
Options